FactoryBot.define do
  factory :user do
    name { "test-user" }
    inheritance_code { SecureRandom.uuid }
    role { "guest" }

    trait :member do
      role { "member" }
    end

    trait :admin do
      role { 'admin' }
    end
  end
end
